Skip to main content
POST
/
agent
/
contexts
/
{id}
/
update
Update agent context
curl --request POST \
  --url https://api.wacht.dev/agent/contexts/{id}/update \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --cookie session_id= \
  --data 'title=Updated Conversation Title'
{
  "status": 200,
  "message": "",
  "data": {},
  "session": {
    "id": "123456789012345678",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "INVALID_CREDENTIALS",
      "message": "Invalid credentials. Please try again."
    }
  ]
}

Authorizations

session_id
string
cookie
required

Session-based authentication using cookies

Path Parameters

id
string<uint64>
required

Context ID

Body

application/x-www-form-urlencoded
title
string
required

New context title

Example:

"Updated Conversation Title"

Response

Context updated successfully

status
integer

HTTP status code

Example:

200

message
string

Response message (empty on success)

Example:

""

data
object
session
object

Minimal session info included in every response

errors
object[] | null

Error details (null on success)